slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDLanczosGetOneSide

Gets if the variant of the Lanczos method to be used is one-sided or two-sided.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDLanczosGetOneSide(SVD svd,PetscBool *oneside)

Not Collective

### Input Parameters

| svd | - singular value solver

### Output Parameters

| oneside | - boolean flag indicating if the method is one-sided or not

### See Also

SVDLanczosSetOneSide()

### Level

advanced

### Location

src/svd/impls/lanczos/gklanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages